Loading...
Searching...
No Matches
itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform > Class Template Reference

`#include <itkGPUTranslationTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>
class itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >

GPU version of TranslationTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUTranslationTransform.h.

Inheritance diagram for itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUTranslationTransformBase<TScalarType, NDimensions>
using | Pointer = SmartPointer<Self>
using | Self = GPUTranslationTransform
Public Types inherited from itk::GPUTranslationTransformBase< float, 3 >
using | CPUOutputVectorType
using | GPUSuperclass
using | ScalarType
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const CPUOutputVectorType & | GetCPUOffset () const
Public Member Functions inherited from itk::GPUTranslationTransformBase< float, 3 >
bool | IsTranslationTransform () const override
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| GPUTranslationTransform ()
virtual | ~GPUTranslationTransform ()
Protected Member Functions inherited from itk::GPUTranslationTransformBase< float, 3 >
GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUTranslationTransformBase ()
| ~GPUTranslationTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUTranslationTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 50 of file itkGPUTranslationTransform.h.

## CPUOutputVectorType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType

Typedefs from GPUSuperclass.

Definition at line 59 of file itkGPUTranslationTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 47 of file itkGPUTranslationTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUSuperclass = GPUTranslationTransformBase<TScalarType, NDimensions>

Definition at line 48 of file itkGPUTranslationTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 49 of file itkGPUTranslationTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

using itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::Self = GPUTranslationTransform

Standard class typedefs.

Definition at line 46 of file itkGPUTranslationTransform.h.

## Constructor & Destructor Documentation

## GPUTranslationTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUTranslationTransform | ( |  | ) |

inline protected

Definition at line 69 of file itkGPUTranslationTransform.h.

## ~GPUTranslationTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

virtual itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::~GPUTranslationTransform | ( |  | ) |

inline protected virtual

Definition at line 70 of file itkGPUTranslationTransform.h.

## GPUTranslationTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUTranslationTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

virtual const char * itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUTranslationTransformBase< float, 3 >.

## GetCPUOffset()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

virtual const CPUOutputVectorType & itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::GetCPUOffset | ( |  | ) | const

inline virtual

This method returns the CPU value of the offset of the TranslationTransform.

Implements itk::GPUTranslationTransformBase< float, 3 >.

Definition at line 63 of file itkGPUTranslationTransform.h.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

Pointer itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = TranslationTransform<TScalarType, NDimensions>>

const Self & itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |